# Minecraft 服务器UUID迁移助手

**专为整合包服务器设计的玩家数据迁移工具**  
轻松解决玩家UUID变更导致的数据丢失问题，完美支持主流FTB模组数据迁移。

---

### 🎯 核心功能
- **玩家档案迁移**  
  更新`usercache.json`和`usernamecache.json`中的UUID映射，保持玩家身份一致性

- **FTB模组支持**  
  自动处理以下模组数据文件：  
  - **FTB Teams**  
    - 战队成员数据 (`/world/ftbteams/party`)  
    - 玩家个人档案 (`/world/ftbteams/player`)  
  - **FTB Chunks**  
    - 领地权限数据 (`/world/ftbchunks`)  
  - **FTB Quests**  
    - 任务进度存档 (`/world/ftbquests`)  

- **智能文件处理**  
  自动识别并更新涉及UUID的：  
  - 配置文件内容  
  - 文件名与目录名  
  - 嵌套数据结构  

---

### 🚀 使用场景
- 玩家账户系统升级时保持数据连贯  
- 切换正版/离线模式时的数据迁移  
- 玩家身份信息异常后的数据修复  
- 服务器合并时的玩家数据整合  

---

### 📦 使用方式
1. **单次迁移模式**  
   跟随引导输入服务器路径、新旧UUID即可

2. **批量处理模式**  
   通过配置文件一次性处理多个UUID变更

---

### ⚠️ 注意事项
- 操作前请务必备份服务器数据  
- 建议在服务器离线状态下执行  
- 确保对数据文件有读写权限  

---

> 无需复杂操作，三步完成玩家数据无缝迁移，保障服务器平稳过渡！  